/* -*-Text-*-
*******************************************************************************
*
* File:		mltcrail.inc
* Rev:		$Revision$
* Description:	
* Author:	Marvin L. Taylor
* Created:	Tue Sep 26 21:19:45 1995
* Modified:     Tue Sep 26 21:28:30 1995 (marvint) marvint@malta.linux
* Language:	C++
* Package:	N/A
* Status:	Experimental (Do Not Distribute)
*
* (C) Copyright 1995, Marvin L. Taylor, all rights reserved.
*
*******************************************************************************
*/

#include "colors.inc"
#include "textures.inc"

//
// Okay, this is a unit foot of chair-railing, facing -Z, touching the
// X-Z plane, centered at the X-Z origin and "along" the X-axis, like:
//
//                           +Z\  |+Y
//                       _______\_|_________
//                      |                   |
//              -X -----|                   |---- +X
//                      |          \        |
//                      |___________\_______|
//                                |  \
//                              -Y|   \-Z
//
#declare TChairRail    = texture { EMBWood1 scale 1/4 }

#declare ChairRail = union {
   box { <-6,-3.0,-0.5>, <+6,+3.0,-0.5> }
   box { <-6,+2.0,-0.5>, <+6,+2.5,-0.75> }
   box { <-6,-2.5,-0.5>, <+6,-2.0,-0.75> }
   cylinder { <-6,0,+3.25>,<6,0,+3.25>,4 clipped_by{ plane {z,0}}}

   texture { TChairRail rotate <90,5,86> }
}



